--- title: "Get the Advanced Device Configuration at Sensor Level" slug: "get-the-advanced-device-configuration-at-sensor-level-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:21Z published: 2026-11-19T12:57:21Z canonical: "docs.trellix.com/get-the-advanced-device-configuration-at-sensor-level-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the Advanced Device Configuration at Sensor Level This URL is used to retrieve the advanced device configuration at the Sensor level. ### Resource URL GET /sensor// advanceddeviceconfiguration ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensorId` | Sensor id | Number | Yes | ### Response Parameters Following fields are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `inheritSettings` | Inherit settings from the parent domain | Boolean | | `enableHTTP2Traffic` | Enable HTTP2 traffic inspection | Boolean | | `preAttackBytestoCapture` | Attack bytes to capture - Can be 128, 256 | Int | | `inspectTunneledTraffic` | Inspect tunneled traffic | Boolean | | `cliActivityLogging` | Log CLI activity. Values allowed are: - DISABLED - DEVICE_ONLY - MANAGER_ONLY - DEVICE_AND_MANAGER | String | | `showCPUUsageinCLI` | Show CPU usage in CLI | Boolean | | `restrictSSHAccesstoCLI` | Restrict CLI access using SSH | Boolean | | `enableSSHLogging` | Enable SSH logging | Boolean | | `permittedIPv4CIDRBlocks` | The permitted IPv4 CIDR list for SSH access to CLI | Object | | `permittedIPv6CIDRBlocks` | The permitted IPv6 CIDR list for SSH access to CLI | Object | | `useTraditionalSnort` | Chooses either the traditional Trellix IPS Snort or the new Suricata snort | Boolean | Details of permittedIPv4CIDRBlocks: | Field Name | Description | Data Type | | --- | --- | --- | | `id` | ID of the object | Int | | `cidr` | IPv4 CIDR address | String | | `action` | On delete action, the value should be 'delete' | String | Details of permittedIPv6CIDRBlocks: | Field Name | Description | Data Type | | --- | --- | --- | | `id` | ID of the object | Int | | `cidr` | IPv6 CIDR address | String | | `action` | On delete action, the value should be 'delete' | String | ### Example **Request** GET [https:///sdkapi/sensor/1001/advanceddeviceconfiguration](https://<NSM_IP>/sdkapi/domain/0/remoteaccess/radius) **Response** ``` { "inheritSettings": false, "enableHTTP2Traffic": true, "preAttackBytestoCapture": 128, "inspectTunneledTraffic": false, "cliActivityLogging": "DISABLED", "showCPUUsageinCLI": false, "restrictSSHAccesstoCLI": true, "enableSSHLogging": false, "permittedIPv4CIDRBlocks": [ { "id": 1, "cidr": "1.1.1.1/32", "action": null } ], "permittedIPv6CIDRBlocks": [ { "id": 2, "cidr": "2001:0DB9:0000:0000:0000:0000:0000:0001/128", "action": null } ] , “useTraditionalSnort”: true } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 400 | 1124 | The Sensor is inactive |